#include <ctype.h>
#include <stdio.h>

/*
 * Print the argument character if it is a printable character,
 * otherwise its escape representation.
 */
void prchar(int c)
{
    if (isprint(c))
	putchar(c);
    else
	switch(c) {
	case '\a': putchar('\\'); putchar('a'); break;
	case '\b': putchar('\\'); putchar('b'); break;
	case '\f': putchar('\\'); putchar('f'); break;
	case '\n': putchar('\\'); putchar('n'); break;
	case '\r': putchar('\\'); putchar('r'); break;
	case '\t': putchar('\\'); putchar('t'); break;
	case '\v': putchar('\\'); putchar('v'); break;
	default:
	    printf("\\%o", c & 255);
	}
}
