#ifndef __FLOAT_H
#define __FLOAT_H

#define FLT_ROUNDS	/* implementation defined */

/* The values given in the following list shall be replaced by
implementation-defined expressions that shall be equal or
greater in magnitude (absolute value) to those shown,
with the same sign. */

#define FLT_DIG		6
#define FLT_MANT_DIG	/* implementation defined */
#define FLT_MAX_10_EXP	+37
#define FLT_MAX_EXP	/* implementation defined */
#define FLT_MIN_10_EXP	-37
#define FLT_MIN_EXP	/* implementation defined */
#define FLT_RADIX	2
#define DBL_DIG		10
#define DBL_MANT_DIG	/* implementation defined */
#define DBL_MAX_10_EXP	+37
#define DBL_MAX_EXP	/* implementation defined */
#define DBL_MIN_10_EXP	-37
#define DBL_MIN_EXP	/* implementation defined */
#define LDBL_DIG	10
#define LDBL_MANT_DIG	/* implementation defined */
#define LDBL_MAX_10_EXP	+37
#define LDBL_MAX_EXP	/* implementation defined */
#define LDBL_MIN_10_EXP	-37
#define LDBL_MIN_EXP	/* implementation defined */

/* The values given in the following list shall be replaced by
implementation-defined expressions that shall be equal or
greater than those shown. */

#define FLT_MAX		1E+37
#define DBL_MAX		1E+37
#define LDBL_MAX	1E+37

/* The values given in the following list shall be replaced by
implementation-defined expressions that shall be equal or
less than those shown. */

#define FLT_EPSILON	1E-5
#define FLT_MIN		1E-37
#define DBL_EPSILON	1E-9
#define DBL_MIN		1E-37
#define LDBL_EPSILON	1E-9
#define LDBL_MIN	1E-37

#endif /* !__FLOAT_H */
