#ifndef __LIMITS_H
#define __LIMITS_H

/* The minimum magnitudes shown shall be replaced by
implementation-defined magnitudes with the same sign. */

#define CHAR_BIT	8
#define CHAR_MAX	UCHAR_MAX /* or */ SCHAR_MAX
#define CHAR_MIN	0 /* or */ SCHAR_MIN
#define INT_MAX		+32767
#define INT_MIN		-32767
#define LONG_MAX	+2147483647
#define LONG_MIN	-2147483647
#define MB_LEN_MAX	1
#define SCHAR_MAX	+127
#define SCHAR_MIN	-127
#define SHRT_MAX	+32767
#define SHRT_MIN	-32767
#define UCHAR_MAX	255
#define UINT_MAX	65535
#define ULONG_MAX	4294967295
#define USHRT_MAX	65535

#endif /* !__LIMITS_H */
