#include <errno.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/*
 * ren.c: rename the specified file.
 * usage: ren <oldname> <newname>
 */
int main(int argc, char **argv)
{
    if (argc != 3) {
	fprintf(stderr, "usage: %s <oldname> <newname>\n",
		argv[0]);
	return EXIT_FAILURE;
    }

    if (rename(argv[1], argv[2]) != 0) {
	fprintf(stderr, "%s:%s: %s\n", argv[0], argv[1],
		strerror(errno));
	return EXIT_FAILURE;
    }

    return EXIT_SUCCESS;
}
