#include <ctype.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/*
 * Extract the next white space separated tokenfrom the `s' string.
 */
char *tokenize(char *buf, const char **s)
{
    size_t size;

    while (isspace(**s))
	++*s;
    size = strcspn(*s, "\t\v\f\r\n ");
    if (size < 1)
	return NULL;
    strncpy(buf, *s, size);
    buf[size] = '\0';
    *s += size;

    return buf;
}

int main(void)
{
    const char *s = "test string\na b\t c ";
    char buf[128];

    while (tokenize(buf, &s) != NULL)
	printf("token = \"%s\"\n", buf);

    return EXIT_SUCCESS;
}
