#include <stdio.h>

#define TABWIDTH	8

int main(void)
{
	int c, col = 0;

	while ((c = getchar()) != EOF)
		if (c == '\t') {
			int i;
			for (i = TABWIDTH - col % TABWIDTH; i > 0; --i) {
				putchar(' ');
				++col;
			}
		} else {
			putchar(c);
			++col;
			if (c == '\n')
				col = 0;
		}

	return 0;
}
