#ifndef __MATH_H
#define __MATH_H

#define HUGE_VAL	@impdef@

double acos(double x);
double asin(double x);
double atan(double x);
double atan2(double y, double x);
double cos(double x);
double sin(double x);
double tan(double x);
double cosh(double x);
double sinh(double x);
double tanh(double x);
double exp(double x);
double frexp(double x, int *iptr);
double ldexp(double x, int exp);
double log(double x);
double log10(double x);
double modf(double x, int *iptr);
double pow(double x, double y);
double sqrt(double x);
double fabs(double x);
double floor(double x);
double ceil(double x);
double fmod(double x, double y);

#endif /* !__MATH_H */
