#ifndef __TIME_H
#define __TIME_H

#define CLOCKS_PER_SEC 	@impdef@
#define NULL		@impdef@

typedef @impdef@ clock_t;
typedef @impdef@ time_t;
typedef @impdef@ size_t;

struct tm {
    int tm_sec;
    int tm_min;
    int tm_hour;
    int tm_mday;
    int tm_mon;
    int tm_year;
    int tm_wday;
    int tm_yday;
    int tm_isdst;
};

clock_t clock(void);
double difftime(time_t time1, time_t time0);
time_t mktime(struct tm *timeptr);
time_t time(time_t *time);
char *asctime(const struct tm *timeptr);
char *ctime(const time_t *timeptr);
struct tm *gmtime(const time_t *timer);
struct tm *localtime(const time_t *timer);
size_t strftime(char *s, size_t maxsize, const char *format,
		const struct tm *timeptr);

#endif /* !__TIME_H */
