#include <ctype.h>
#include <stdio.h>

/*
 * Get the next token separated by white spaces from the
 * standard input.
 */
char *gettoken(char *buf)
{
    char *dp = buf;
    int c;

    while (isspace(c = getchar()))
	;	/* Skip white spaces. */
    if (c == EOF)
	return NULL;
    do
	*dp++ = c;
    while (!isspace(c = getchar()));
    *dp = '\0';

    return buf;
}
