#include <stdarg.h>
#include <stdio.h>

/*
 * Print the NULL terminated list of strings.
 * For example:
 *    print_str_list("Hell", "o Wor", "ld", NULL);
 * Prints:
 *    Hello World
 */
void print_str_list(char *s, ...)
{
    va_list ap;

    va_start(ap, s);
    while (s != NULL) {
	printf("%s", s);
	s = va_arg(ap, char *);
    }
    va_end(ap);
    fputc('\n', stdout);
}
