#include <locale.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/*
 * collstr.c: compare the two argument strings.
 * usage: collstr <string1> <string2>
 */
int main(int argc, char **argv)
{
    int i;

    if (argc != 3) {
	fprintf(stderr, "usage: %s <string1> <string2>\n",
		argv[0]);
	return EXIT_FAILURE;
    }

    setlocale(LC_ALL, "");

    i = strcoll(argv[1], argv[2]);
    printf("`%s' is %s `%s'\n", argv[1],
	   ((i > 0) ? "greater than" : 
	    (i < 0) ? "less than" : "equal to"), argv[2]);

    return EXIT_SUCCESS;
}
